cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/custom_objects/101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_object": {
"description": "Contracts attached to an account"
}
}'from exsited import build_client
client = build_client()
response = client.settings.update_custom_object(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{"custom_object": {"description": "Contracts attached to an account"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.updateCustomObject('101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
custom_object: {description: 'Contracts attached to an account'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->updateCustomObject('101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', [
'custom_object' => ['description' => 'Contracts attached to an account'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomObjects;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomObjects> response = client.settings().updateCustomObject(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of("custom_object", Map.of("description", "Contracts attached to an account")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.UpdateCustomObjectAsync(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["custom_object"] = new Dictionary<string, object?>
{
["description"] = "Contracts attached to an account",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.updateCustomObject(
'101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'custom_object': {'description': 'Contracts attached to an account'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().UpdateCustomObject(context.Background(), "101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"custom_object": map[string]any{
"description": "Contracts attached to an account",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_object": {
"created": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"custom_component": "<unknown>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"relation": "<string>",
"status": "<string>",
"updated": "<string>",
"use_in": "<string>",
"uuid": "<string>"
}
}Instance settings
Update a custom object
Changes the fields you send on a custom object and returns it under custom_object.
PATCH
/
custom_objects
/
{custom_object_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/custom_objects/101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_object": {
"description": "Contracts attached to an account"
}
}'from exsited import build_client
client = build_client()
response = client.settings.update_custom_object(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{"custom_object": {"description": "Contracts attached to an account"}},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.updateCustomObject('101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
custom_object: {description: 'Contracts attached to an account'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->updateCustomObject('101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', [
'custom_object' => ['description' => 'Contracts attached to an account'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomObjects;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomObjects> response = client.settings().updateCustomObject(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of("custom_object", Map.of("description", "Contracts attached to an account")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.UpdateCustomObjectAsync(
"101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["custom_object"] = new Dictionary<string, object?>
{
["description"] = "Contracts attached to an account",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.updateCustomObject(
'101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'custom_object': {'description': 'Contracts attached to an account'},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().UpdateCustomObject(context.Background(), "101b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"custom_object": map[string]any{
"description": "Contracts attached to an account",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_object": {
"created": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"custom_component": "<unknown>",
"description": "<string>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"relation": "<string>",
"status": "<string>",
"updated": "<string>",
"use_in": "<string>",
"uuid": "<string>"
}
}Send the fields to change under
custom_object, such as description. use_in, relation and custom_component cannot be changed and are refused.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The custom object's id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated custom object, under custom_object.
Show child attributes
Show child attributes